For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/api/latest/rum-rate-limit/delete-a-rum-rate-limit-configuration.md. A documentation index is available at /llms.txt.

Delete a RUM rate limit configuration

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

DELETE https://api.ap1.datadoghq.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.ap2.datadoghq.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.datadoghq.eu/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.ddog-gov.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.us2.ddog-gov.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.uk1.datadoghq.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.datadoghq.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.us3.datadoghq.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}https://api.us5.datadoghq.com/api/v2/rum/config/rate-limit/{scope_type}/{scope_id}

Overview

Delete the RUM rate limit configuration for a given scope.

Arguments

Path Parameters

Name

Type

Description

scope_type [required]

string

The type of scope the rate limit configuration applies to.

scope_id [required]

string

The identifier of the scope the rate limit configuration applies to. For the application scope, this is the RUM application ID.

Response

No Content

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Authorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export scope_type="application"
export scope_id="cd73a516-a481-4af5-8352-9b577465c77b"
# Curl command
curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/rum/config/rate-limit/${scope_type}/${scope_id}" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Delete a RUM rate limit configuration returns "No Content" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_rate_limit_api import RumRateLimitApi
from datadog_api_client.v2.model.rum_rate_limit_scope_type import RumRateLimitScopeType

configuration = Configuration()
configuration.unstable_operations["delete_rum_rate_limit_config"] = True
with ApiClient(configuration) as api_client:
    api_instance = RumRateLimitApi(api_client)
    api_instance.delete_rum_rate_limit_config(
        scope_type=RumRateLimitScopeType.APPLICATION,
        scope_id="cd73a516-a481-4af5-8352-9b577465c77b",
    )

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Delete a RUM rate limit configuration returns "No Content" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.delete_rum_rate_limit_config".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RumRateLimitAPI.new
api_instance.delete_rum_rate_limit_config(RumRateLimitScopeType::APPLICATION, "cd73a516-a481-4af5-8352-9b577465c77b")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Delete a RUM rate limit configuration returns "No Content" response

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.DeleteRumRateLimitConfig", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumRateLimitApi(apiClient)
	r, err := api.DeleteRumRateLimitConfig(ctx, datadogV2.RUMRATELIMITSCOPETYPE_APPLICATION, "cd73a516-a481-4af5-8352-9b577465c77b")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumRateLimitApi.DeleteRumRateLimitConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Delete a RUM rate limit configuration returns "No Content" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRateLimitApi;
import com.datadog.api.client.v2.model.RumRateLimitScopeType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.deleteRumRateLimitConfig", true);
    RumRateLimitApi apiInstance = new RumRateLimitApi(defaultClient);

    try {
      apiInstance.deleteRumRateLimitConfig(
          RumRateLimitScopeType.APPLICATION, "cd73a516-a481-4af5-8352-9b577465c77b");
    } catch (ApiException e) {
      System.err.println("Exception when calling RumRateLimitApi#deleteRumRateLimitConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Delete a RUM rate limit configuration returns "No Content" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_rate_limit::RumRateLimitAPI;
use datadog_api_client::datadogV2::model::RumRateLimitScopeType;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.DeleteRumRateLimitConfig", true);
    let api = RumRateLimitAPI::with_config(configuration);
    let resp = api
        .delete_rum_rate_limit_config(
            RumRateLimitScopeType::APPLICATION,
            "cd73a516-a481-4af5-8352-9b577465c77b".to_string(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Delete a RUM rate limit configuration returns "No Content" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.deleteRumRateLimitConfig"] = true;
const apiInstance = new v2.RumRateLimitApi(configuration);

const params: v2.RumRateLimitApiDeleteRumRateLimitConfigRequest = {
  scopeType: "application",
  scopeId: "cd73a516-a481-4af5-8352-9b577465c77b",
};

apiInstance
  .deleteRumRateLimitConfig(params)
  .then((data: any) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"